/* Code style: -*- linux-c -*- */
/* File : xfw/xfw.h */

#ifndef FD_FirewallTool_h_
#define FD_FirewallTool_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void type_cb(FL_OBJECT *, long);
extern void source_cb(FL_OBJECT *, long);
extern void dest_cb(FL_OBJECT *, long);
extern void src_input(FL_OBJECT *, long);
extern void dest_input(FL_OBJECT *, long);
extern void prot_cb(FL_OBJECT *, long);
extern void add_entry(FL_OBJECT *, long);
extern void replace_entry(FL_OBJECT *, long);
extern void delete_entry(FL_OBJECT *, long);
extern void append_entry(FL_OBJECT *, long);
extern void quit_program(FL_OBJECT *, long);
extern void opt_cb(FL_OBJECT *, long);
extern void tosa_cb(FL_OBJECT *, long);
extern void tosx_cb(FL_OBJECT *, long);
extern void ifname_cb(FL_OBJECT *, long);
extern void ifaddr_cb(FL_OBJECT *, long);
extern void pkts_cb(FL_OBJECT *, long);
extern void bytes_cb(FL_OBJECT *, long);
extern void ifaddr_input(FL_OBJECT *, long);
extern void ifname_input(FL_OBJECT *, long);
extern void type_input(FL_OBJECT *, long);
extern void prot_input(FL_OBJECT *, long);
extern void opt_input(FL_OBJECT *, long);
extern void tosa_input(FL_OBJECT *, long);
extern void tosx_input(FL_OBJECT *, long);
extern void forwarding_setup(FL_OBJECT *, long);
extern void accounting_setup(FL_OBJECT *, long);
extern void input_setup(FL_OBJECT *, long);
extern void output_setup(FL_OBJECT *, long);
extern void save_entrys(FL_OBJECT *, long);
extern void load_entrys(FL_OBJECT *, long);
extern void countdown_cb(FL_OBJECT *, long);
extern void set_browsers(int, int);
 
/* decor.c */
extern void decorate(void);

/* add_specials.c */
extern void add_specials(void);
extern special_count(const char *, int);
extern void add_interfaces(void);
extern void fetch_ip(char *);
extern char * dig_out_ip(const unsigned char *);

/* preemptive.c */
extern void setup_preemptives(void);
int preemptive_handler(FL_OBJECT *, int, FL_Coord, FL_Coord, int, void *);

/**** Forms and Objects ****/

extern FL_FORM *FirewallTool;

extern FL_OBJECT
        *FirewallTOOL,
        *display_panel,
        *type_text,
        *disp_type,
        *disp_source,
        *disp_dest,
        *src_in,
        *dest_in,
        *disp_prot,
        *add,
        *replace,
        *delete,
        *append,
        *quit,
        *disp_opt,
        *disp_tosa,
        *tosa_text,
        *disp_tosx,
        *tosx_text,
        *disp_ifname,
        *disp_ifaddr,
        *disp_pkts,
        *disp_bytes,
        *ifaddr_in,
        *ifname_in,
        *type_in,
        *prot_in,
        *opt_in,
        *tosa_in,
        *tosx_in,
        *format_panel,
        *forwarding,
        *accounting,
        *input,
        *output,
        *save,
        *load,
	*timer;



/**** Creation Routine ****/

extern void create_the_forms(void);

#endif /* FD_FirewallTool_h_ */

